<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
<!-- 	<typeAlias alias="Clxsjlbean" type="cn.vp.XXX.model.ClxsjlBean"/> -->	
	<typeAlias alias="Clxsjl" type="cn.im.che.ClxsjlBean"/>
	
	<sql id="condition_Clxsjl">
		where 1=1
		<isNotEmpty prepend='AND ' property='LIKEzzxh'>
			(zzxh like concat('%',#LIKEzzxh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='zzxh'>
			(zzxh = #zzxh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEgcbh'>
			(gcbh like concat('%',#LIKEgcbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='gcbh'>
			(gcbh = #gcbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsbbh'>
			(sbbh like concat('%',#LIKEsbbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sbbh'>
			(sbbh = #sbbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtdbh'>
			(tdbh like concat('%',#LIKEtdbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tdbh'>
			(tdbh = #tdbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtdlx'>
			(tdlx like concat('%',#LIKEtdlx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tdlx'>
			(tdlx = #tdlx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtdmc'>
			(tdmc like concat('%',#LIKEtdmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tdmc'>
			(tdmc = #tdmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsbmc'>
			(sbmc like concat('%',#LIKEsbmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sbmc'>
			(sbmc = #sbmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEzpsj'>
			(zpsj like concat('%',#LIKEzpsj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='zpsj'>
			(zpsj = #zpsj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEzpsjsz'>
			(zpsjsz like concat('%',#LIKEzpsjsz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='zpsjsz'>
			(zpsjsz = #zpsjsz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsbxq'>
			(sbxq like concat('%',#LIKEsbxq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sbxq'>
			(sbxq = #sbxq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtplj'>
			(tplj like concat('%',#LIKEtplj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tplj'>
			(tplj = #tplj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsplj'>
			(splj like concat('%',#LIKEsplj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='splj'>
			(splj = #splj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEhphm'>
			(hphm like concat('%',#LIKEhphm# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='hphm'>
			(hphm = #hphm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEmhhphm'>
			(mhhphm like concat('%',#LIKEmhhphm# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='mhhphm'>
			(mhhphm = #mhhphm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEhpzl'>
			(hpzl like concat('%',#LIKEhpzl# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='hpzl'>
			(hpzl = #hpzl# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEhpds'>
			(hpds like concat('%',#LIKEhpds# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='hpds'>
			(hpds = #hpds# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEhpys'>
			(hpys like concat('%',#LIKEhpys# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='hpys'>
			(hpys = #hpys# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcsys'>
			(csys like concat('%',#LIKEcsys# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='csys'>
			(csys = #csys# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcllx'>
			(cllx like concat('%',#LIKEcllx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cllx'>
			(cllx = #cllx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcszd'>
			(cszd like concat('%',#LIKEcszd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cszd'>
			(cszd = #cszd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcs'>
			(cs like concat('%',#LIKEcs# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cs'>
			(cs = #cs# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEzdss'>
			(zdss like concat('%',#LIKEzdss# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='zdss'>
			(zdss = #zdss# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEzgss'>
			(zgss like concat('%',#LIKEzgss# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='zgss'>
			(zgss = #zgss# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKElkbh'>
			(lkbh like concat('%',#LIKElkbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='lkbh'>
			(lkbh = #lkbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKElkmc'>
			(lkmc like concat('%',#LIKElkmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='lkmc'>
			(lkmc = #lkmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjd'>
			(jd like concat('%',#LIKEjd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jd'>
			(jd = #jd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEwd'>
			(wd like concat('%',#LIKEwd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='wd'>
			(wd = #wd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtpwzx'>
			(tpwzx like concat('%',#LIKEtpwzx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tpwzx'>
			(tpwzx = #tpwzx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtpwzy'>
			(tpwzy like concat('%',#LIKEtpwzy# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tpwzy'>
			(tpwzy = #tpwzy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEgxbmbh'>
			(gxbmbh like concat('%',#LIKEgxbmbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='gxbmbh'>
			(gxbmbh = #gxbmbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEgxbmmc'>
			(gxbmmc like concat('%',#LIKEgxbmmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='gxbmmc'>
			(gxbmmc = #gxbmmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEwfxwbh'>
			(wfxwbh like concat('%',#LIKEwfxwbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='wfxwbh'>
			(wfxwbh = #wfxwbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEclpp'>
			(clpp like concat('%',#LIKEclpp# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='clpp'>
			(clpp = #clpp# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEclxh'>
			(clxh like concat('%',#LIKEclxh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='clxh'>
			(clxh = #clxh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEfxbh'>
			(fxbh like concat('%',#LIKEfxbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='fxbh'>
			(fxbh = #fxbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEfxmc'>
			(fxmc like concat('%',#LIKEfxmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='fxmc'>
			(fxmc = #fxmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcdbh'>
			(cdbh like concat('%',#LIKEcdbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cdbh'>
			(cdbh = #cdbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEkhbh'>
			(khbh like concat('%',#LIKEkhbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='khbh'>
			(khbh = #khbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcjbh'>
			(cjbh like concat('%',#LIKEcjbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cjbh'>
			(cjbh = #cjbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcjmc'>
			(cjmc like concat('%',#LIKEcjmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cjmc'>
			(cjmc = #cjmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsjly'>
			(sjly like concat('%',#LIKEsjly# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sjly'>
			(sjly = #sjly# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKElymc'>
			(lymc like concat('%',#LIKElymc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='lymc'>
			(lymc = #lymc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcjrq'>
			(cjrq like concat('%',#LIKEcjrq# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjlbh'>
			(jlbh like concat('%',#LIKEjlbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jlbh'>
			(jlbh = #jlbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExzbh'>
			(xzbh like concat('%',#LIKExzbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xzbh'>
			(xzbh = #xzbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExzmc'>
			(xzmc like concat('%',#LIKExzmc# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xzmc'>
			(xzmc = #xzmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEtpdlbh'>
			(tpdlbh like concat('%',#LIKEtpdlbh# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='tpdlbh'>
			(tpdlbh = #tpdlbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsjlx'>
			(sjlx like concat('%',#LIKEsjlx# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sjlx'>
			(sjlx = #sjlx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsjzldj'>
			(sjzldj like concat('%',#LIKEsjzldj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sjzldj'>
			(sjzldj = #sjzldj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsjzydj'>
			(sjzydj like concat('%',#LIKEsjzydj# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sjzydj'>
			(sjzydj = #sjzydj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsjyy'>
			(sjyy like concat('%',#LIKEsjyy# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sjyy'>
			(sjyy = #sjyy# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsfbsyd'>
			(sfbsyd like concat('%',#LIKEsfbsyd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sfbsyd'>
			(sfbsyd = #sfbsyd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEsfwsyd'>
			(sfwsyd like concat('%',#LIKEsfwsyd# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='sfwsyd'>
			(sfwsyd = #sfwsyd# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEclzpp'>
			(clzpp like concat('%',#LIKEclzpp# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='clzpp'>
			(clzpp = #clzpp# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKExwtz'>
			(xwtz like concat('%',#LIKExwtz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='xwtz'>
			(xwtz = #xwtz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEcltz'>
			(cltz like concat('%',#LIKEcltz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='cltz'>
			(cltz = #cltz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEhptztpdz'>
			(hptztpdz like concat('%',#LIKEhptztpdz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='hptztpdz'>
			(hptztpdz = #hptztpdz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='LIKEjsrtztpdz'>
			(jsrtztpdz like concat('%',#LIKEjsrtztpdz# ,'%')   )
		</isNotEmpty>
		<isNotEmpty prepend='AND ' property='jsrtztpdz'>
			(jsrtztpdz = #jsrtztpdz# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- query objects by page-->
	<select id="query_Clxsjl" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			zzxh,gcbh,sbbh,tdbh,tdlx,tdmc,sbmc,zpsj,zpsjsz,sbxq,tplj,splj,hphm,mhhphm,hpzl,hpds,hpys,csys,cllx,cszd,cs,zdss,zgss,lkbh,lkmc,jd,wd,tpwzx,tpwzy,gxbmbh,gxbmmc,wfxwbh,clpp,clxh,fxbh,fxmc,cdbh,khbh,cjbh,cjmc,sjly,lymc,cjrq,jlbh,xzbh,xzmc,tpdlbh,sjlx,sjzldj,sjzydj,sjyy,sfbsyd,sfwsyd,clzpp,xwtz,cltz,hptztpdz,jsrtztpdz
		from clxsjl 
		<include refid="condition_Clxsjl"/>
		<isNotEmpty prepend=' ' property='start'>
			limit #start# ,#limit#
		</isNotEmpty>
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Clxsjl" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from clxsjl 
		<include refid="condition_Clxsjl"/>			
	</select>
	
</sqlMap>











